#### D.15.30.1 transWithPrecision

Procedure from library `transformation.lib` (see transformation_lib).

Usage:
  transWithPrecision(f,T,d); f poly, T 1xn matrix, where n is the number of variables of the basering, d int

Return:
  the image of f under the transformation defined by T up to degree d

Example:

    LIB "transformation.lib";
    ring R=0,(x,y,z),ds;
    poly f = 2*x^2+5*x*y+7*x^7;
    matrix T[1][3]=x+2*y+y^2,y+x^2*y,z+y^2+z^2*x;
    transWithPrecision(f,T,7);
    ==> 2x2+13xy+18y2+4xy2+13y3+5x3y+10x2y2+2y4+5x2y3+7x7+98x6y+588x5y2+1960x4y3+\
       3920x3y4+4704x2y5+3136xy6+896y7

User manual for Singular version 4.4.1, 2025, generated by texi2html.